CREATE TABLE `icd_config_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ied_name` varchar(45) NOT NULL COMMENT 'IED名称',
  `ldevice_inst` varchar(45) NOT NULL COMMENT '设备类型',
  `ln_class` varchar(45) NOT NULL COMMENT 'LN类型',
  `ln_desc` varchar(200) DEFAULT NULL,
  `table_name` varchar(45) DEFAULT NULL COMMENT '表名',
  PRIMARY KEY (`id`),
  KEY `idxKey` (`ied_name`,`ldevice_inst`,`ln_class`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='ICD配置类型表';
CREATE TABLE `icd_config_type_att` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `icd_config_type_id` int(11) NOT NULL COMMENT '配置类型表id',
  `do_name` varchar(45) NOT NULL COMMENT '属性',
  `param` varchar(200) DEFAULT NULL COMMENT '参数',
  `description` varchar(200) DEFAULT NULL COMMENT '备注',
  `col_name` varchar(45) DEFAULT NULL COMMENT '字段名',
  `insts` varchar(2000) NOT NULL COMMENT '实例',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='ICD配置类型属性表';
CREATE TABLE `icd_config_type_inst` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `icd_config_type_id` int(11) NOT NULL COMMENT '配置类型表id',
  `inst` varchar(45) NOT NULL COMMENT '实例',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='ICD配置类型实例表';

CREATE TABLE `n_103_point` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `npoint_id` int(11) DEFAULT NULL COMMENT '监测装置属性点ID',
  `sensor_103_id` int(11) DEFAULT NULL COMMENT '103和sensor表的关联ID',
  `sadr` varchar(45) DEFAULT NULL COMMENT '信息体地址',
  `item_no` varchar(45) DEFAULT NULL COMMENT '条目号',
  `paramindex` varchar(200) DEFAULT NULL COMMENT '61850对象参引',
  `part_name` varchar(200) DEFAULT NULL COMMENT '名称后半部分',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='103和point表的关联';
CREATE TABLE `n_103_sensor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nsensor_id` int(11) DEFAULT NULL COMMENT '监测装置ID',
  `grp_no` int(11) DEFAULT NULL COMMENT '组号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='103和sensor表的关联';
CREATE TABLE `n_point` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_id` int(11) DEFAULT NULL COMMENT '监测装置ID',
  `field` varchar(45) DEFAULT NULL COMMENT '对应tablename表的字段名',
  `field_desc` varchar(200) DEFAULT NULL COMMENT '对应tablename表的字段名称描述',
  `point_id` int(11) DEFAULT NULL COMMENT '对应的点位编号',
  `type` int(11) DEFAULT NULL COMMENT '点位类型  1:遥信 2:遥测',
  PRIMARY KEY (`id`),
  KEY `idxField` (`sensor_id`,`field`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监测装置属性点表';
CREATE TABLE `n_sensor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) DEFAULT NULL COMMENT '名称',
  `phase` varchar(45) DEFAULT NULL COMMENT '相别',
  `type_id` int(11) DEFAULT NULL COMMENT '类型id',
  `sensor_code` varchar(45) DEFAULT NULL COMMENT '传感器的唯一标识',
  `equipment_code` varchar(45) DEFAULT NULL COMMENT '被监测设备的唯一标识',
  `dev_id` int(11) DEFAULT NULL COMMENT '装置ID',
  `status` int(11) DEFAULT '1' COMMENT '状态 1-正常  0-删除',
  `zsb_id` int(11) DEFAULT NULL,
  `icd_id` int(11) DEFAULT NULL COMMENT '关联icd表中的id',
  PRIMARY KEY (`id`),
  KEY `idxSensor` (`sensor_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监测装置表';
CREATE TABLE `unit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field` varchar(45) DEFAULT NULL COMMENT '字段名',
  `unit` varchar(45) DEFAULT NULL COMMENT '单位',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='计量单位';
CREATE TABLE `modevtype_point` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `modevtype_id` int(11) DEFAULT NULL COMMENT '监测设备类型表id',
  `field` varchar(45) DEFAULT NULL COMMENT '对应tablename表的字段名',
  `field_desc` varchar(200) DEFAULT NULL COMMENT '对应tablename表的字段名称描述',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监测设备类型属性点表';

INSERT INTO `unit` VALUES (5,'Density','Kg/m3'),(6,'Temperature','°C'),(7,'Pressure20C','MPa'),(8,'H2','UL/L'),(9,'CH4','UL/L'),(10,'C2H6','UL/L'),(11,'C2H4','UL/L'),(12,'C2H2','UL/L'),(13,'CO','UL/L'),(14,'CO2','UL/L'),(15,'O2','UL/L'),(16,'N2','UL/L'),(17,'TotalHydrocarbon','UL/L'),(18,'MaxTmp','°C'),(19,'MinTmp','°C'),(20,'AvgTmp','°C'),(21,'AbsolutePressure','MPa'),(22,'Moisture','u L/L'),(23,'FullCurrent','mA'),(24,'CableCurrent','A'),(25,'ResistiveCurrent','mA'),(26,'CapacitiveCurrent','mA'),(27,'Capacitance','pf'),(28,'DielectricLoss','%'),(29,'Concentration','ppm'),(30,'O2Content','%'),(31,'Humidity','%');
