package com.xydl.cac.controller;

import com.xydl.cac.entity.Warning;
import com.xydl.cac.model.ConditionModel;
import com.xydl.cac.model.Response;
import com.xydl.cac.service.WarningService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.domain.Page;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@Api(tags = {"告警信息相关接口"})
@RequestMapping("warning")
@Slf4j
public class WarningController extends BasicController {

    @Resource
    WarningService service;

    @GetMapping("list")
    @ApiOperation("查询列表")
    public Response<Page<Warning>> list(@Validated ConditionModel condition) throws Exception {
        condition.setPageNum(this.initPageNum(condition.getPageNum()));
        condition.setPageSize(this.initPageSize(condition.getPageSize()));
        Page<Warning> result = service.list(condition);
        return Response.success(result);
    }
}
