package com.xydl.cac.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "n_103_sensor")
@ApiModel("装置和103关联表")
public class N103Sensor {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @ApiModelProperty("关联表ID")
    @Column(name = "nsensor_id")
    private Integer nsensorId;

    @ApiModelProperty("组号")
    @Column(name = "grp_no")
    private Integer grpNo;

    @Transient
    NSensor nSensor;

    @Transient
    private List<N103Point> points;

    public String addPoint(N103Point point) {
        if (points == null) {
            points = new ArrayList<>();
        }
        for (N103Point item : points) {
            if (item.getNPoint().getField().equalsIgnoreCase(point.getNPoint().getField())) {
                return "第" + point.getNPoint().getRow() + "行和第" + item.getNPoint().getRow() +
                        "行存在同一标识(" + nSensor.getSensorCode() + ")的相同字段(" + point.getNPoint().getField() + ")";
            }
        }
        points.add(point);
        return null;
    }

}