package com.xydl.cac.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "warning")
@ApiModel("告警信息表")
public class Warning {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @ApiModelProperty("装置ID")
    @Column(name = "eqmid")
    private String eqmid;

    @ApiModelProperty("告警时间")
    @Column(name = "warn_time")
    private Date warnTime;

    @ApiModelProperty("告警值")
    @Column(name = "warning_value")
    private String warningValue;

    @ApiModelProperty("阈值")
    @Column(name = "threadval")
    private String threadval;

    @ApiModelProperty("告警信息")
    @Column(name = "warn_desc")
    private String warnDesc;

    @ApiModelProperty("告警级别 0:高 1:中 2:低")
    @Column(name = "warn_level")
    private String warnLevel;

    @ApiModelProperty("处理状态")
    @Column(name = "state")
    private String state;

    @ApiModelProperty("处理结果描述")
    @Column(name = "process")
    private String process;

    @ApiModelProperty("处理人id")
    @Column(name = "process_user")
    private String processUser;

    @ApiModelProperty("处理时间")
    @Column(name = "process_time")
    private Date processTime;

}