package com.xydl.cac.service.impl;

import com.xydl.cac.entity.N103Point;
import com.xydl.cac.entity.NPoint;
import com.xydl.cac.repository.N103PointRepository;
import com.xydl.cac.repository.NPointRepository;
import com.xydl.cac.service.N103PointService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class N103PointServiceImpl implements N103PointService {

    @Resource
    N103PointRepository repository;
    @Resource
    NPointRepository nPointRepository;

    @Override
    public void importOne(N103Point item) {
        NPoint nPoint = item.getNPoint();
        nPointRepository.save(nPoint);
        item.setNpointId(nPoint.getId());
        repository.save(item);
    }

    @Override
    public void clearAll(Integer sensor103Id, Integer sensorId) {
        repository.deleteBySensor103Id(sensor103Id);
        nPointRepository.deleteBySensorId(sensorId);
    }
}
