package com.xydl.cac.service.impl;

import com.xydl.cac.entity.N103Point;
import com.xydl.cac.entity.N103Sensor;
import com.xydl.cac.entity.NPoint;
import com.xydl.cac.entity.NSensor;
import com.xydl.cac.repository.N103SensorRepository;
import com.xydl.cac.service.N103PointService;
import com.xydl.cac.service.N103SensorService;
import com.xydl.cac.service.NSensorService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.*;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class N103SensorServiceImpl implements N103SensorService {
    @Resource
    N103SensorRepository repository;
    @Resource
    NSensorService nSensorService;
    @Resource
    N103PointService n103PointService;


    @Async
    @Override
    public void importFrom(Collection<N103Sensor> collection) {
        for (N103Sensor item : collection) {
            this.importOne(item);
        }
    }

    @Override
    public void importOne(N103Sensor item) {
        NSensor nSensor = item.getNSensor();
        nSensorService.importOne(nSensor);
        item.setNsensorId(nSensor.getId());

        List<N103Sensor> list = repository.findByNsensorId(nSensor.getId());
        if (!CollectionUtils.isEmpty(list)) {
            item.setId(list.get(0).getId());
        }
        repository.save(item);

        // 清空旧的全部属性
        n103PointService.clearAll(item.getId(), nSensor.getId());

        List<N103Point> points = item.getPoints();
        if (points != null) {
            for (N103Point point : points) {
                point.setSensor103Id(item.getId());
                NPoint nPoint = point.getNPoint();
                nPoint.setSensorId(nSensor.getId());

                n103PointService.importOne(point);
            }
        }
    }
}
